Subject: Novice questions

From: Daniel Quinlan <[email-masked]>
Date: Mon, 25 Jan 93 16:26:32 -0800

I've installed postgres on our machines, and tried (with some success) to 
get the perl and tcl extensions for postgres running.  I believe that I have
printed all the documentation, and looked through all of it at least once.

However, I'm still not clear how to do some simple things:

    a) find the names of all the tables in a database
    b) find the names of all the fields in a table
    c) find out how many records are in a table

I gather that my vocabulary is wrong, and I should be calling tables "classes", 
and perhaps fields "attributes".  

However, I could really use some more examples and detailed
documentation, particularly about postquel and perhaps the postgres
system tables.  Does this exist anywhere?  

Thanks,
-- danq